> ## Documentation Index
> Fetch the complete documentation index at: https://chatbotx.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get workspace member by id



## OpenAPI

````yaml /api-reference/platform-api.json get /v1/members/{memberId}
openapi: 3.1.1
info:
  title: ChatbotX
  version: 0.0.1
servers:
  - url: https://app.chatbotx.io/api
security:
  - developerAccessToken: []
  - tokenInSearchParams: []
paths:
  /v1/members/{memberId}:
    get:
      tags:
        - Members
      summary: Get workspace member by id
      operationId: getMemberWorkspaceTokenAPI
      parameters:
        - name: memberId
          in: path
          required: true
          schema:
            type: string
            pattern: \d+
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  createdAt:
                    type: string
                    format: date-time
                    x-native-type: date
                  updatedAt:
                    type: string
                    format: date-time
                    x-native-type: date
                  workspaceId:
                    type: string
                  userId:
                    type: string
                  role:
                    enum:
                      - owner
                      - agent
                    type: string
                  notificationChannels:
                    anyOf:
                      - anyOf:
                          - type: string
                          - type: number
                          - type: boolean
                          - type: 'null'
                      - type: object
                        propertyNames:
                          type: string
                        additionalProperties: {}
                      - type: array
                        items:
                          anyOf:
                            - {}
                            - type: 'null'
                  notificationTypes:
                    anyOf:
                      - anyOf:
                          - type: string
                          - type: number
                          - type: boolean
                          - type: 'null'
                      - type: object
                        propertyNames:
                          type: string
                        additionalProperties: {}
                      - type: array
                        items:
                          anyOf:
                            - {}
                            - type: 'null'
                  permissions:
                    type: object
                    properties:
                      superAdmin:
                        type: boolean
                      analytics:
                        type: boolean
                      flows:
                        type: boolean
                      contacts:
                        type: boolean
                      onlyAssignedContacts:
                        type: boolean
                      emailAndPhone:
                        type: boolean
                      broadcast:
                        type: boolean
                      ecommerce:
                        type: boolean
                    required:
                      - superAdmin
                      - analytics
                      - flows
                      - contacts
                      - onlyAssignedContacts
                      - emailAndPhone
                      - broadcast
                      - ecommerce
                  user:
                    type: object
                    properties:
                      id:
                        type: string
                      name:
                        anyOf:
                          - type: string
                          - type: 'null'
                      image:
                        anyOf:
                          - type: string
                          - type: 'null'
                    required:
                      - id
                      - name
                      - image
                required:
                  - id
                  - createdAt
                  - updatedAt
                  - workspaceId
                  - userId
                  - role
                  - notificationChannels
                  - notificationTypes
                  - permissions
                  - user
components:
  securitySchemes:
    developerAccessToken:
      type: http
      scheme: bearer
    tokenInSearchParams:
      type: apiKey
      in: query
      name: token

````